> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.uniledger.cc/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.uniledger.cc/_mcp/server.

# Get a customer by ID

GET https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/{id}

Reference: https://docs.uniledger.cc/api-reference/eilith-public-rest-api/customers/get-customer

## Authentication

- `Authorization` header (bearer token, required) — API key prefixed with uk_live_

## Servers

- `https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api` (Production, default)
- `https://pmjidplmzxohyqsbajvg.supabase.co/functions/v1/platform-api` (Staging)

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Customer found

- `data` (object, optional)
  - `id` (string, optional)
  - `tenant_id` (string, optional)
  - `customer_code` (string, optional)
  - `name` (string, optional)
  - `email` (string, optional, nullable)
  - `phone` (string, optional, nullable)
  - `address_line1` (string, optional, nullable)
  - `address_line2` (string, optional, nullable)
  - `city` (string, optional, nullable)
  - `state` (string, optional, nullable)
  - `postal_code` (string, optional, nullable)
  - `country` (string, optional, nullable)
  - `is_active` (boolean, optional)
  - `created_at` (datetime, optional)
  - `updated_at` (datetime, optional)

## Examples

**Response**

```json
{
  "data": {
    "id": "string",
    "tenant_id": "string",
    "customer_code": "string",
    "name": "string",
    "email": "string",
    "phone": "string",
    "address_line1": "string",
    "address_line2": "string",
    "city": "string",
    "state": "string",
    "postal_code": "string",
    "country": "string",
    "is_active": true,
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```